Bug 502627 - virtinst should always specify the disk image format in guest configuration
virtinst should always specify the disk image format in guest configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
11
All Linux
high Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-26 10:48 EDT by Mark McLoughlin
Modified: 2009-10-05 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-05 10:40:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-05-26 10:48:13 EDT
Quoting from:

  http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commitdiff;h=1e72d3b7ad

  It is possible for a guest with a raw formatted disk image to write a
  header to that disk image describing another format (such as qcow2).
  Stopping and subsequent restart of the guest will cause qemu to detect
  that format, and could allow the guest to read any host file if qemu is
  sufficiently privileged (typical in virt environments).

This means that we should always include the disk image format in the guest XML configuration e.g.

  <disk type='file' device='disk'>
    <source file='/var/lib/libvirt/images/f11.img'/>
    <target dev='hda' bus='virtio'/>
    <driver name='qemu' type='raw'/>
  </disk>

See also bug #496092
Comment 1 Cole Robinson 2009-05-26 11:12:04 EDT
This is in virtinst upstream:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virtinst--devel/rev/96bc6e8c5376

There were some other bug fixes that came later as well. I'll be cutting a new release within the next couple weeks though, so it can probably wait till then.
Comment 2 Bug Zapper 2009-06-09 12:35:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2009-06-18 11:06:25 EDT
Moving to POST.
Comment 4 Cole Robinson 2009-10-05 10:40:19 EDT
This code accrued quite a few fixes and is pretty invasive, so I'm not really comfortable backporting it. Closing this bug as RAWHIDE where it is currently fixed (and F-12).

Note You need to log in before you can comment on or make changes to this bug.